<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Object Detection</title>
</head>
<body>
  <h1>Object Detection</h1>
  <form enctype="multipart/form-data" method="POST" action="/detect">
    <input type="file" name="image">
    <button type="submit">Detect pests</button>
  </form>

  <hr>

  <div id="response"></div>
  <div id="image-container"></div>

  <script>
    const form = document.querySelector('form');
    const responseDiv = document.querySelector('#response');
    const imageContainer = document.querySelector('#image-container');

    form.addEventListener('submit', async (event) => {
      event.preventDefault();
      responseDiv.innerHTML = 'Detecting pests...';
      imageContainer.innerHTML = '';

      const formData = new FormData(event.target);
      const response = await fetch('/detect', {
        method: 'POST',
        body: formData,
      });
      const data = await response.json();
      console.log(data);
      responseDiv.innerHTML = '';

     // if (data.pestsPresent) {
        const img = document.createElement('img');
        img.src = 'data:image/jpeg;base64,' + data.img;
        img.onload = () => {
          const canvas = document.createElement('canvas');
          canvas.width = img.width;
          canvas.height = img.height;
          const ctx = canvas.getContext('2d');
          ctx.drawImage(img, 0, 0);
          
          imageContainer.appendChild(canvas);
        };

        const p = document.createElement('p');
        p.textContent = ` Predicted diseases: ${data.diseases[0].disease}`;
        responseDiv.appendChild(p);
    });
  </script>
</body>
</html>
